CREATE TABLE cmk_delivery_methods[ (
    DELIVERY_METHOD_ID        NUMBER(18, 0)     NOT NULL,
    DELIVERY_METHOD_TYPE      VARCHAR2(400)     NOT NULL,
    SERVICE                   VARCHAR2(1024),
    B2B_ROUTING_FLAG          VARCHAR2(40)      NOT NULL,
    SERVICE_PROVIDER_ID       NUMBER(18, 0) ,
    EXTERNAL_PARTNER_ID       NUMBER(18, 0) ,
    SECURITY_POLICY           VARCHAR2(1024),
    CERT_ALIAS_NAME           VARCHAR2(1024),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    MODULE_ID                 VARCHAR2(128) ,
    DELIVERY_METHOD_NAME      VARCHAR2(1024)    NOT NULL,
    UCM_EXPORT_DOC_ACCOUNT    VARCHAR2(4000),
    SEED_DATA_SOURCE          VARCHAR2(2048),
    RECIPIENT_EMAIL_ID        VARCHAR2(1024),
    ATTACH_XML_FLAG           VARCHAR2(40)  ,
    PRIVATE_KEY               VARCHAR2(1024),
    FILE_NAME                 VARCHAR2(1024),
    REMOTE_DIR                VARCHAR2(4000),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    FILE_EXTENSION            VARCHAR2(40)  ,
    PRIMARY_FLAG              VARCHAR2(4)   ,
    PO_PDF_ATCH_UNCMPRSD      VARCHAR2(4)   ,
    COMPRESS_FILE_FLAG        VARCHAR2(4)   ,
    REQUEST_HEADERS           VARCHAR2(4000),
    PROVIDER_ID               NUMBER(18, 0) 
);
